Bug 179707 - Review Request: dap-server - Basic request handling for DAP servers
Review Request: dap-server - Basic request handling for DAP servers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
:
Depends On: 179708 179709 179710
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-02 04:59 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 07:41:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-02-02 04:59:07 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/dap-server-3.5.3-1.src.rpm
Description: 

This is base software for our workhorse server. Written using the DAP++ C++
library and Perl, this handles processing compressed files and arranging for
the correct server module to process the file. The base software also
provides support for the ASCII response and HTML data-request form. Use this
in combination with one or more of the format-specific handlers.

This package contains all the executable and perl modules. The scripts
and config files that should be installed in a cgi directory are in the
documentation directory with -sample appended. If you want a package that
is usable without manual configuration, install dap-server-cgi.
Comment 1 Ed Hill 2006-02-15 22:36:22 EST
Hi Patrice, I've been meaning to look at this so, since today is the first 
scheduled FE "review day", heres a quick review:

good:
 + source matches upstream
 + license is correctly included
 + spec is very legible--no obvious errors
 + builds on FC4 (not in mock)
 + rpmlint reports:
     E: dap-server non-standard-uid /var/cache/dap-server apache
     E: dap-server non-standard-gid /var/cache/dap-server apache
     W: dap-server-cgi no-documentation
     E: dap-server-cgi non-standard-uid \
        /etc/httpd/conf.d/opendap_apache.conf apache
        ...and a few more of the same apache uid/gid errors...
   which can probably be safely ignored
 + dir ownership is OK
 + no shared libs
 + clean(s) are properly done

nits:
 - License is LGPL not GPL
 - fails to build with "mock -r fedora-development-i386-core $SRPM"
     and returns the following error message:

make[2]: Entering directory `/builddir/build/BUILD/dap-server-3.5.3'
if g++ -DHAVE_CONFIG_H -I. -I. -I.   -I/usr/include/libdap  -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT usage.o -MD -MP
-MF ".deps/usage.Tpo" -c -o usage.o usage.cc; \
then mv -f ".deps/usage.Tpo" ".deps/usage.Po"; else rm -f ".deps/usage.Tpo";
exit 1; fi
/usr/include/libdap/GNURegex.h:45: error: extra qualification 'Regex::' on
member 'init'

Do you know whats the matter with devel at the moment?  I realize its 
not a blocker, I'm just curious whats causing the problem -- and don't 
have a lot of time right now to look at the syntax...
Comment 2 Patrice Dumas 2006-02-16 02:58:16 EST
It is certainly a non conformant construct revealed by the newer gcc. It is in
fact in the libdap package and I have reported it upstream. (and the libdap
package cannot be rebuilt in devel).
Comment 3 José Matos 2006-02-16 04:35:41 EST
(In reply to comment #1) 
 
> Do you know whats the matter with devel at the moment?  I realize its  
> not a blocker, I'm just curious whats causing the problem -- and don't  
> have a lot of time right now to look at the syntax... 
 
See 
https://www.redhat.com/archives/fedora-test-list/2005-December/msg00382.html 
 
for an explanation of the problem, as Patrice tells this is a problem of the 
code and the fix is simple, remove the offending code. :-) 
Comment 4 Patrice Dumas 2006-02-16 05:29:44 EST
This is fixed in upstream libdap svn. It also seems that a new libdap version is
on tracks. I'll update libdap as soon as it is out and this should build in
devel then.
Comment 5 Ed Hill 2006-02-19 11:34:21 EST
Ok, glad to hear the gcc problem is being fixed upstream.  Please change 
the license to LGPL before checking it in and, since I don't see any other 
blockers (comment #1), this package is APPROVED.

Note You need to log in before you can comment on or make changes to this bug.